changeset 11:7ad77d2e23d0 draft

Uploaded
author eugen
date Wed, 15 Aug 2012 08:27:03 -0400
parents 35df90c1f4aa
children 1d29aebf96ae
files bismark_meth_caller.sh
diffstat 1 files changed, 35 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bismark_meth_caller.sh	Wed Aug 15 08:27:03 2012 -0400
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# Galaxy wrapper for Bismark Methylation Caller
+#
+
+set -e
+
+#get parameters
+
+until [ $# -eq 0 ]
+do
+	case $1 in
+		input=*)
+			input=${1#input=}
+			;;
+		method=*)
+			method=${1#method=}
+			;;
+		output=*)
+			output=${1#output=}
+			;;
+		tempdir=*)
+			tempdir=${1#tempdir=}
+			;;
+	esac
+	shift
+done
+(grep ^@ $input; grep -v ^@ $input | sort -k3,3 -k1,1) > $tempdir"bismark_sam_sorted.sam"
+methylation_extractor -$method -o $output $tempdir"bismark_sam_sorted.sam" 2>&1 > /dev/null
+
+
+
+
+
+